Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class BasicRibbonComponentUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI

public class BasicRibbonComponentUI extends RibbonComponentUI

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`BasicRibbonComponentUI.ExtComponentLayout`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JLabel`
`captionLabel`
`protected ResizableIcon`
`disabledIcon`
`protected PropertyChangeListener`
`propertyChangeListener`
`protected JRibbonComponent`
`ribbonComponent`
The associated ribbon component.

## Constructor Summary

Constructors
Constructor
Description
`BasicRibbonComponentUI()`

## Method Summary

Modifier and Type
Method
Description
`protected ResizableIcon`
`createDisabledIcon()`
`protected LayoutManager`
`createLayoutManager()`
`static ComponentUI`
`createUI(JComponent c)`
`Point`
`getKeyTipAnchorCenterPoint()`
`protected int`
`getLayoutGap()`
`Dimension`
`getPreferredSize(RibbonElementPriority priority)`
`protected void`
`installComponents()`
Installs subcomponents on the associated ribbon component.
`protected void`
`installDefaults()`
Installs default parameters on the associated ribbon component.
`protected void`
`installListeners()`
Installs listeners on the associated ribbon component.
`void`
`installUI(JComponent c)`
`protected boolean`
`isCaptionVisible(RibbonElementPriority displayPriority)`
`protected boolean`
`isIconVisible(RibbonElementPriority displayPriority)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`paintIcon(Graphics g, JRibbonComponent ribbonComp, Icon icon, int x, int y)`
`protected void`
`uninstallComponents()`
Uninstalls components from the associated ribbon component.
`protected void`
`uninstallDefaults()`
Uninstalls default parameters from the associated ribbon component.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated ribbon component.
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ribbonComponent

protected JRibbonComponent ribbonComponent
The associated ribbon component.

### captionLabel

protected JLabel captionLabel

### propertyChangeListener

protected PropertyChangeListener propertyChangeListener

### disabledIcon

protected ResizableIcon disabledIcon

## Constructor Details

### BasicRibbonComponentUI

public BasicRibbonComponentUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installDefaults

protected void installDefaults()
Installs default parameters on the associated ribbon component.

### installComponents

protected void installComponents()
Installs subcomponents on the associated ribbon component.

### installListeners

protected void installListeners()
Installs listeners on the associated ribbon component.

### uninstallDefaults

protected void uninstallDefaults()
Uninstalls default parameters from the associated ribbon component.

### uninstallComponents

protected void uninstallComponents()
Uninstalls components from the associated ribbon component.

### uninstallListeners

protected void uninstallListeners()
Uninstalls listeners from the associated ribbon component.

### getKeyTipAnchorCenterPoint

public Point getKeyTipAnchorCenterPoint()

Specified by:
  `getKeyTipAnchorCenterPoint` in class `RibbonComponentUI`

### createLayoutManager

protected LayoutManager createLayoutManager()

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### paintIcon

protected void paintIcon(Graphics g, JRibbonComponent ribbonComp, Icon icon, int x, int y)

### getLayoutGap

protected int getLayoutGap()

### createDisabledIcon

protected ResizableIcon createDisabledIcon()

### isIconVisible

protected boolean isIconVisible(RibbonElementPriority displayPriority)

### isCaptionVisible

protected boolean isCaptionVisible(RibbonElementPriority displayPriority)

### getPreferredSize

public Dimension getPreferredSize(RibbonElementPriority priority)

Specified by:
  `getPreferredSize` in class `RibbonComponentUI`